/* inet_ntof.c -- an emulation for the libraries that miss it;
 * Copyright (c) 2001-2002 ForestNet IRC Network;
 * This is a free software; see file `license' for details.
 */

#ifdef NEED_inet_netof

#ifdef _WIN32
# include <windows.h>
#else
# include <stdlib.h>
#endif

int inet_netof(struct in_addr in)
{
    int addr = in.s_net;

    if (addr & 0x80 == 0)
        return ((int) in.s_net);

    if (addr & 0x40 == 0)
        return ((int) in.s_net * 256 + in.s_host);

    return ((int) in.s_net * 256 + in.s_host * 256 + in.s_lh);
}

#endif /* NEED_inet_netof */