/* md5.h -- md5.c background;
 * Copyright (C) 2001-2002 ForestNet IRC Network.
 * This is a free software; see file `license' for details.
 * $Id: ircdmd5.h,v 1.4 2002/08/15 10:44:21 hex Exp $
 */

#ifndef NEED_MD5Init
# include <md5.h>
char * md5crypt(const char *, const char *);
#else
# ifndef __md5_h
# define __md5_h

typedef unsigned long UINT4;

typedef struct {
	UINT4 state[4];
	UINT4 count[2];
	unsigned char buffer[64];
} MD5_CTX;

void MD5Init(MD5_CTX *);
void MD5Update(MD5_CTX *, unsigned char *, unsigned int);
void MD5Final(unsigned char [16], MD5_CTX *);
char * md5crypt(const char *, const char *);
# endif /* __md5_h */
#endif
