/* unicode.h -- support for charset conversion;
 * Copyright (C) 2001-2002 ForestNet IRC Network
 * This is a free software; see file `license' for details.
 * $Id: unicode.h,v 1.5 2002/08/12 19:26:45 hex Exp $
 */

#ifndef __unicode_h
#define __unicode_h

extern CharSet *charset_attach(const char *);
extern void charset_detach(CharSet *);
extern void charset_refresh(void);
extern void charset_convertfrom(char *, size_t, CharSet *);
extern void charset_convertto(char *, size_t, CharSet *);

#endif /* !defined(__unicode_h) */
