/* m_locops.c -- send a notice to local +g opers;
 * Copyright (C) 2001-2002, ForestNet IRC Network
 * This is a free software; see file `license' for details.
 * $Id: m_locops.c,v 1.4 2002/11/18 12:44:08 hex Exp $
 */

#include "struct.h"
#include "send.h"
#include "numeric.h"
#include "msg.h"
#include "h.h"

/* parv[0] = sender, parv[1] = message */
int m_locops(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	if (check_registered_user(cptr))
		return 0;

	if (parc < 2 || BadPtr(parv[1])) {
		send_syntax(sptr, MSG_LOCOPS, "LOCOPS message...");
		return 0;
	}

	if (MyClient(sptr) && !IsAnOper(sptr)) {
		sendto_one(sptr, err_str(ERR_NOPRIVILEGES), me.name, parv[0]);
		return 0;
	}

	sendto_locfailops("from %s: %s", parv[0], parv[1]);
	return 0;
}
